package com.example.mapbox.api;

import com.example.mapbox.response.AutoCompleteResponse;
import com.example.mapbox.response.DirectionResponse;
import com.example.mapbox.response.PlaceByLatLngResponse;
import com.example.mapbox.response.PlaceDetailResponse;

import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Query;

public interface IApiService {
    @GET("/Place/AutoComplete")
    Call<AutoCompleteResponse> getAutoComplete(@Query("input") String input, @Query("api_key") String apiKey);

    @GET("/Place/Detail")
    Call<PlaceDetailResponse> getPlaceDetail(@Query("place_id") String placeId, @Query("api_key") String apiKey);

    @GET("/Direction")
    Call<DirectionResponse> getDirection(@Query("origin") String origin, @Query("destination") String destination, @Query("vehicle") String vehicle, @Query("api_key") String apiKey);
}
